package com.ruoyi.traceability.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报警信息对象 base_alarminfo
 * 
 * @author wenjy
 * @date 2023-01-01
 */
public class BaseAlarminfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objId;

    /** 报警编号 */
    @Excel(name = "报警编号")
    private String alarmCode;

    /** 报警信息 */
    @Excel(name = "报警信息")
    private String alarmMessage;

    /** 解决建议 */
    /*@Excel(name = "解决建议")*/
    private String alarmPropose;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setAlarmCode(String alarmCode) 
    {
        this.alarmCode = alarmCode;
    }

    public String getAlarmCode() 
    {
        return alarmCode;
    }
    public void setAlarmMessage(String alarmMessage) 
    {
        this.alarmMessage = alarmMessage;
    }

    public String getAlarmMessage() 
    {
        return alarmMessage;
    }
    public void setAlarmPropose(String alarmPropose) 
    {
        this.alarmPropose = alarmPropose;
    }

    public String getAlarmPropose() 
    {
        return alarmPropose;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("alarmCode", getAlarmCode())
            .append("alarmMessage", getAlarmMessage())
            .append("alarmPropose", getAlarmPropose())
            .append("remark", getRemark())
            .toString();
    }
}
